diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_gline.c ircd-hybrid-6.0/src/m_gline.c
--- ircd-hybrid-6.0.orig/src/m_gline.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_gline.c	Tue Jun 19 16:46:56 2001
@@ -286,14 +286,14 @@
    log_gline_request(oper_name,oper_username,oper_host,oper_server,
                      user,host,reason);
 #ifdef USE_MAJORITY_GLINE
-   sendto_realops("%s!%s@%s on %s is requesting gline for [%s@%s] [%s]",
-                  oper_name,
-                  oper_username,
-                  oper_host,
-                  oper_server,
-                  user,
-                  host,
-                  reason);
+   sendto_ops_flag(UMODE_SERVNOTICE, "%s!%s@%s on %s is requesting gline for [%s@%s] [%s]",
+			  oper_name,
+			  oper_username,
+			  oper_host,
+			  oper_server,
+			  user,
+			  host,
+			  reason);
 
   /* If at least 3 opers agree this user should be G lined then do it */
   if(majority_gline(sptr,
@@ -319,14 +319,14 @@
       aconf->hold = CurrentTime + GLINE_TIME;
       add_gline(aconf);
       
-      sendto_realops("%s!%s@%s on %s has triggered gline for [%s@%s] [%s]",
-                     oper_name,
-                     oper_username,
-                     oper_host,
-                     oper_server,
-                     user,
-                     host,
-                     reason);
+      sendto_ops_flag(UMODE_SERVNOTICE, "%s!%s@%s on %s has triggered gline for [%s@%s] [%s]",
+			     oper_name,
+			     oper_username,
+			     oper_host,
+			     oper_server,
+			     user,
+			     host,
+			     reason);
       
       rehashed = YES;
       dline_in_progress = NO;
@@ -363,7 +363,7 @@
              ConfigFileEntry.glinefile, small_file_date((time_t)0));
   if ((out = open(filenamebuf, O_RDWR|O_APPEND|O_CREAT,0644))==-1)
     {
-      sendto_realops("*** Problem opening %s",filenamebuf);
+      sendto_ops_flag(UMODE_DEBUG, "*** Problem opening %s",filenamebuf);
       return;
     }
 
@@ -378,7 +378,7 @@
 
   if (write(out, buffer, strlen(buffer)) <= 0)
     {
-      sendto_realops("*** Problem writing to %s",filenamebuf);
+      sendto_ops_flag(UMODE_DEBUG,"*** Problem writing to %s",filenamebuf);
     }
   close(out);
 }
@@ -819,7 +819,7 @@
               (irccmp(gline_pending_ptr->oper_server1,oper_server) == 0) )
             {
               /* This oper or server has already "voted" */
-              sendto_realops("oper or server has already voted");
+              sendto_ops_flag(UMODE_SERVNOTICE, "oper or server has already voted");
               return NO;
             }
 
@@ -832,7 +832,7 @@
                   (irccmp(gline_pending_ptr->oper_server2,oper_server)==0))
                 {
                   /* This oper or server has already "voted" */
-                  sendto_realops("oper or server has already voted");
+                  sendto_ops_flag(UMODE_SERVNOTICE, "oper or server has already voted");
                   return NO;
                 }
 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_htm.c ircd-hybrid-6.0/src/m_htm.c
--- ircd-hybrid-6.0.orig/src/m_htm.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_htm.c	Tue Jun 19 16:47:01 2001
@@ -130,9 +130,9 @@
                 LRV = new_value;
               sendto_one(sptr, ":%s NOTICE %s :NEW Max rate = %dk/s. Current = %.1fk/s",
                          me.name, parv[0], LRV, currlife);
-              sendto_realops("%s!%s@%s set new HTM rate to %dk/s (%.1fk/s current)",
-                             parv[0], sptr->username, sptr->host,
-                             LRV, currlife);
+              sendto_ops_flag(UMODE_SERVNOTICE, "%s!%s@%s set new HTM rate to %dk/s (%.1fk/s current)",
+				     parv[0], sptr->username, sptr->host,
+				     LRV, currlife);
             }
           else 
             sendto_one(sptr, ":%s NOTICE %s :LRV command needs an integer parameter",me.name, parv[0]);
@@ -143,8 +143,8 @@
             {
               LIFESUX = 1;
               sendto_one(sptr, ":%s NOTICE %s :HTM is now ON.", me.name, parv[0]);
-              sendto_ops("Entering high-traffic mode: Forced by %s!%s@%s",
-                         parv[0], sptr->username, sptr->host);
+              sendto_ops_flag(UMODE_SERVNOTICE, "Entering high-traffic mode: Forced by %s!%s@%s",
+				     parv[0], sptr->username, sptr->host);
               LCF = 30; /* 30s */
             }
           else if (!irccmp(command,"OFF"))
@@ -152,17 +152,17 @@
               LIFESUX = 0;
               LCF = LOADCFREQ;
               sendto_one(sptr, ":%s NOTICE %s :HTM is now OFF.", me.name, parv[0]);
-              sendto_ops("Resuming standard operation: Forced by %s!%s@%s",
-                         parv[0], sptr->username, sptr->host);
+              sendto_ops_flag(UMODE_SERVNOTICE, "Resuming standard operation: Forced by %s!%s@%s",
+				     parv[0], sptr->username, sptr->host);
             }
           else if (!irccmp(command,"QUIET"))
             {
-              sendto_ops("HTM is now QUIET");
+              sendto_ops_flag(UMODE_SERVNOTICE, "HTM is now QUIET");
               NOISYHTM = NO;
             }
           else if (!irccmp(command,"NOISY"))
             {
-              sendto_ops("HTM is now NOISY");
+              sendto_ops_flag(UMODE_SERVNOTICE, "HTM is now NOISY");
               NOISYHTM = YES;
             }
           else
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_info.c ircd-hybrid-6.0/src/m_info.c
--- ircd-hybrid-6.0.orig/src/m_info.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_info.c	Tue Jun 19 16:47:06 2001
@@ -36,9 +36,9 @@
 
   if (hunt_server(cptr,sptr,":%s INFO :%s",1,parc,parv) == HUNTED_ISME)
   {
-    sendto_realops_flag(UMODE_SPY, "info requested by %s (%s@%s) [%s]",
-      sptr->name, sptr->username, sptr->host,
-      sptr->user->server);
+    sendto_ops_flag(UMODE_SPY, "info requested by %s (%s@%s) [%s]",
+			   sptr->name, sptr->username, sptr->host,
+			   sptr->user->server);
 
     if (!NoFloodProtection(sptr))
     {
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_kill.c ircd-hybrid-6.0/src/m_kill.c
--- ircd-hybrid-6.0.orig/src/m_kill.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_kill.c	Tue Jun 19 16:47:11 2001
@@ -234,7 +234,7 @@
 
   if (!IsServer(sptr)) /* send it normally */
     {
-      sendto_realops("Received KILL message for %s. From %s Path: %s!%s", 
+      sendto_ops_flag(UMODE_SKILL, "Received KILL message for %s. From %s Path: %s!%s", 
                acptr->name, parv[0], inpath, path);
       /*
        * dilema here: we don't want non opers to see pathes which
@@ -247,7 +247,7 @@
        */
     }
   else
-    sendto_realops_flag(UMODE_SKILL,
+    sendto_ops_flag(UMODE_SKILL,
 			"Received KILL message for %s. From %s",
 			acptr->name, parv[0]);
 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_kline.c ircd-hybrid-6.0/src/m_kline.c
--- ircd-hybrid-6.0.orig/src/m_kline.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_kline.c	Tue Jun 19 16:47:15 2001
@@ -243,9 +243,9 @@
 
   if ((out = open(filename, O_RDWR|O_APPEND|O_CREAT, 0644)) == (-1))
   {
-    sendto_realops("Error opening %s: %s",
-      filename,
-      strerror(errno));
+    sendto_ops_flag(UMODE_DEBUG, "Error opening %s: %s",
+			   filename,
+			   strerror(errno));
     return;
   }
 
@@ -313,9 +313,9 @@
 
   if ((out = open(filename, O_RDWR|O_APPEND|O_CREAT, 0644)) == (-1))
   {
-    sendto_realops("Error opening %s: %s",
-      filename,
-      strerror(errno));
+    sendto_ops_flag(UMODE_DEBUG, "Error opening %s: %s",
+			   filename,
+			   strerror(errno));
     return;
   }
 
@@ -407,12 +407,12 @@
 #if 0
       if(!find_special_conf(sptr->name,CONF_ULINE))
         {
-          sendto_realops("received Unauthorized kline from %s",sptr->name);
+          sendto_ops_flag(UMODE_SERVNOTICE, "received Unauthorized kline from %s",sptr->name);
           return 0;
         }
       else
         {
-          sendto_realops("received kline from %s", sptr->name);
+          sendto_ops_flag(UMODE_SERVNOTICE, "received kline from %s", sptr->name);
         }
 
 #endif
@@ -732,12 +732,12 @@
       rehashed = YES;
       dline_in_progress = NO;
       nextping = CurrentTime;
-      sendto_realops("%s added temporary %d min. K-Line for [%s@%s] [%s]",
-        rcptr ? rcptr->name : parv[0],
-        temporary_kline_time,
-        user,
-        host,
-        reason ? reason : "No reason");
+      sendto_ops_flag(UMODE_SERVNOTICE, "%s added temporary %d min. K-Line for [%s@%s] [%s]",
+			     rcptr ? rcptr->name : parv[0],
+			     temporary_kline_time,
+			     user,
+			     host,
+			     reason ? reason : "No reason");
       return 0;
     }
   else
@@ -758,11 +758,11 @@
   else
     add_mtrie_conf_entry(aconf,CONF_KILL);
 
-  sendto_realops("%s added K-Line for [%s@%s] [%s]",
-    rcptr ? rcptr->name : sptr->name,
-    user,
-    host,
-    reason ? reason : "No reason");
+  sendto_ops_flag(UMODE_SERVNOTICE, "%s added K-Line for [%s@%s] [%s]",
+			 rcptr ? rcptr->name : sptr->name,
+			 user,
+			 host,
+			 reason ? reason : "No reason");
 
   log(L_TRACE, "%s added K-Line for [%s@%s] [%s]",
       sptr->name, user, host, reason ? reason : "No reason");
@@ -1194,10 +1194,10 @@
 
   add_Dline(aconf);
 
-        sendto_realops("%s added D-Line for [%s] [%s]",
-                sptr->name,
-                host,
-                reason);
+  sendto_ops_flag(UMODE_SERVNOTICE, "%s added D-Line for [%s] [%s]",
+			 sptr->name,
+			 host,
+			 reason);
 
         log(L_TRACE, "%s added D-Line for [%s] [%s]", 
             sptr->name, host, reason);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_links.c ircd-hybrid-6.0/src/m_links.c
--- ircd-hybrid-6.0.orig/src/m_links.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_links.c	Tue Jun 19 16:47:24 2001
@@ -157,7 +157,7 @@
 
   if (bogus_server)
     {
-      sendto_realops_flag(UMODE_SPY,
+      sendto_ops_flag(UMODE_SPY,
 			  "BOGUS LINKS '%s' requested by %s (%s@%s) [%s]",
 			  clean_string(clean_mask, (const unsigned char *) mask, 2 * HOSTLEN),
 			  sptr->name, sptr->username,
@@ -169,7 +169,7 @@
     mask = collapse(clean_string(clean_mask, (const unsigned char *) mask, 2 * HOSTLEN));
 
   if (MyConnect(sptr))
-    sendto_realops_flag(UMODE_SPY,
+    sendto_ops_flag(UMODE_SPY,
 			"LINKS '%s' requested by %s (%s@%s) [%s]",
 			mask, sptr->name, sptr->username,
 			sptr->host, sptr->user->server);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_ltrace.c ircd-hybrid-6.0/src/m_ltrace.c
--- ircd-hybrid-6.0.orig/src/m_ltrace.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_ltrace.c	Tue Jun 19 16:47:29 2001
@@ -160,7 +160,7 @@
 
 
   if(MyClient(sptr))
-    sendto_realops_flag(UMODE_SPY, "ltrace requested by %s (%s@%s) [%s]",
+    sendto_ops_flag(UMODE_SPY, "ltrace requested by %s (%s@%s) [%s]",
 			sptr->name, sptr->username, sptr->host,
 			sptr->user->server);
 
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_oper.c ircd-hybrid-6.0/src/m_oper.c
--- ircd-hybrid-6.0.orig/src/m_oper.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_oper.c	Tue Jun 19 16:47:51 2001
@@ -135,7 +135,7 @@
   if ((IsServer(cptr) || IsMe(cptr)))
     {
       sendto_ops_flag(UMODE_DEBUG, "WTF: %s received OPER message for %s from server %s", 
-		      me.name, sptr->name, cptr->name);
+			     me.name, sptr->name, cptr->name);
       /* This doesn't work properly; it doesn't add them to the oper list locally.
 	SetBit(sptr->umodes,UMODE_OPER);
 	Count.oper++;
@@ -164,11 +164,11 @@
       sendto_one(sptr, form_str(ERR_NOOPERHOST), me.name, parv[0]);
 #if defined(FAILED_OPER_NOTICE) && defined(SHOW_FAILED_OPER_ID)
 #ifdef SHOW_FAILED_OPER_PASSWD
-      sendto_realops("Failed OPER attempt [%s(%s)] - identity mismatch: %s [%s@%s]",
-        name, password, sptr->name, sptr->username, sptr->host);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Failed OPER attempt [%s(%s)] - identity mismatch: %s [%s@%s]",
+			     name, password, sptr->name, sptr->username, sptr->host);
 #else
-      sendto_realops("Failed OPER attempt - host mismatch by %s (%s@%s)",
-                     parv[0], sptr->username, sptr->host);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Failed OPER attempt - host mismatch by %s (%s@%s)",
+			     parv[0], sptr->username, sptr->host);
 #endif /* SHOW_FAILED_OPER_PASSWD */
 #endif /* FAILED_OPER_NOTICE && SHOW_FAILED_OPER_ID */
       return 0;
@@ -227,9 +227,9 @@
       else
 	fdlist_add(sptr->fd, FDL_OPER);
 #ifdef CUSTOM_ERR
-      sendto_ops_flag_butone(NULL, UMODE_SERVNOTICE, "%s (%s@%s) just activated an %c-line, hmmm.", parv[0],
+      sendto_ops_flag(UMODE_SERVNOTICE, "%s (%s@%s) just activated an %c-line, hmmm.", parv[0],
 #else
-      sendto_ops_flag_butone(NULL, UMODE_SERVNOTICE, ("%s (%s@%s) is now operator (%c)", parv[0],
+      sendto_ops_flag(UMODE_SERVNOTICE, ("%s (%s@%s) is now operator (%c)", parv[0],
 #endif /* CUSTOM_ERR */
 						      sptr->username, sptr->host,
 						      IsLocOp(sptr) ? 'o' : 'O');
@@ -282,11 +282,11 @@
       sendto_one(sptr,form_str(ERR_PASSWDMISMATCH),me.name, parv[0]);
 #ifdef FAILED_OPER_NOTICE
 #ifdef SHOW_FAILED_OPER_PASSWD
-      sendto_realops("Failed OPER attempt [%s(%s)] - md5 passwd mismatch: %s [%s@%s]",
-        name, password, sptr->name, sptr->username, sptr->host);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Failed OPER attempt [%s(%s)] - md5 passwd mismatch: %s [%s@%s]",
+			     name, password, sptr->name, sptr->username, sptr->host);
 #else
-      sendto_realops("Failed OPER attempt by %s (%s@%s)",
-                     parv[0], sptr->username, sptr->host);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Failed OPER attempt by %s (%s@%s)",
+			     parv[0], sptr->username, sptr->host);
 #endif /* SHOW_FAILED_OPER_PASSWD */
 #endif
     }
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_pong.c ircd-hybrid-6.0/src/m_pong.c
--- ircd-hybrid-6.0.orig/src/m_pong.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_pong.c	Wed Jun 20 02:39:31 2001
@@ -123,8 +123,9 @@
     {
       if (!got_server_pong)
         {
-          sendto_ops_flag_butone(cptr, UMODE_SERVNOTICE, "%s acknowledged end of %s burst (%i sec)",
-                     sptr->name, &me.name, CurrentTime - sptr->firsttime);
+          sendto_ops_flag_butone(cptr, UMODE_SEEROUTING, "%s acknowledged end of %s burst (%i sec)",
+				 sptr->name, &me.name, CurrentTime - sptr->firsttime);
+	  sendto_ops_flag_butone_hidefrom(cptr, UMODE_SERVNOTICE, "Burst complete, %s has linked", sptr->name);
         }
       got_server_pong = 1;
     }
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_rehash.c ircd-hybrid-6.0/src/m_rehash.c
--- ircd-hybrid-6.0.orig/src/m_rehash.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_rehash.c	Tue Jun 19 16:47:58 2001
@@ -115,9 +115,9 @@
         {
           sendto_one(sptr, form_str(RPL_REHASHING), me.name, parv[0], "DNS");
 #ifdef CUSTOM_ERR
-          sendto_ops("%s is rehashing DNS while whistling innocently",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing DNS while whistling innocently",
 #else
-          sendto_ops("%s is rehashing DNS",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing DNS",
 #endif
                  parv[0]);
           restart_resolver();   /* re-read /etc/resolv.conf AGAIN?
@@ -129,9 +129,9 @@
           sendto_one(sptr, form_str(RPL_REHASHING), me.name, parv[0], "temp klines");
           flush_temp_klines();
 #ifdef CUSTOM_ERR
-          sendto_ops("%s is clearing temp klines while whistling innocently",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is clearing temp klines while whistling innocently",
 #else
-          sendto_ops("%s is clearing temp klines",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is clearing temp klines",
 #endif
                  parv[0]);
           found = YES;
@@ -142,9 +142,9 @@
           sendto_one(sptr, form_str(RPL_REHASHING), me.name, parv[0], "g-lines");
           flush_glines();
 #ifdef CUSTOM_ERR
-          sendto_ops("%s is clearing G-lines while whistling innocently",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is clearing G-lines while whistling innocently",
 #else
-          sendto_ops("%s is clearing G-lines",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is clearing G-lines",
 #endif
                  parv[0]);
           found = YES;
@@ -155,34 +155,34 @@
           sendto_one(sptr, form_str(RPL_REHASHING), me.name, parv[0], "garbage collecting");
           block_garbage_collect();
 #ifdef CUSTOM_ERR
-          sendto_ops("%s is garbage collecting while whistling innocently",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is garbage collecting while whistling innocently",
 #else
-          sendto_ops("%s is garbage collecting",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is garbage collecting",
 #endif
                  parv[0]);
           found = YES;
         }
       else if(irccmp(parv[1],"MOTD") == 0)
         {
-          sendto_ops("%s is forcing re-reading of MOTD file",parv[0]);
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is forcing re-reading of MOTD file",parv[0]);
           ReadMessageFile( &ConfigFileEntry.motd );
           found = YES;
         }
       else if(irccmp(parv[1],"OMOTD") == 0)
         {
-          sendto_ops("%s is forcing re-reading of OPER MOTD file",parv[0]);
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is forcing re-reading of OPER MOTD file",parv[0]);
           ReadMessageFile( &ConfigFileEntry.opermotd );
           found = YES;
         }
       else if(irccmp(parv[1],"HELP") == 0)
         {
-          sendto_ops("%s is forcing re-reading of oper help file",parv[0]);
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is forcing re-reading of oper help file",parv[0]);
           ReadMessageFile( &ConfigFileEntry.helpfile );
           found = YES;
         }
       else if(irccmp(parv[1],"dump") == 0)
         {
-          sendto_ops("%s is dumping conf file",parv[0]);
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is dumping conf file",parv[0]);
           rehash_dump(sptr);
           found = YES;
         }
@@ -192,9 +192,9 @@
                      ConfigFileEntry.configfile);
           /* this does a full rehash right now, so report it as such */
 #ifdef CUSTOM_ERR
-          sendto_ops("%s is rehashing dlines from server config file while whistling innocently",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing dlines from server config file while whistling innocently",
 #else
-          sendto_ops("%s is rehashing dlines from server config file",
+          sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing dlines from server config file",
 #endif
                      parv[0]);
           log(L_NOTICE, "REHASH From %s\n", get_client_name(sptr, HIDE_IP));
@@ -225,9 +225,9 @@
       sendto_one(sptr, form_str(RPL_REHASHING), me.name, parv[0],
                  ConfigFileEntry.configfile);
 #ifdef CUSTOM_ERR
-      sendto_ops("%s is rehashing server config file while whistling innocently",
+      sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing server config file while whistling innocently",
 #else
-      sendto_ops("%s is rehashing server config file",
+      sendto_ops_flag(UMODE_SERVNOTICE, "%s is rehashing server config file",
 #endif
                  parv[0]);
       log(L_NOTICE, "REHASH From %s\n", get_client_name(sptr, SHOW_IP));
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_server.c ircd-hybrid-6.0/src/m_server.c
--- ircd-hybrid-6.0.orig/src/m_server.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/m_server.c	Tue Jun 19 16:48:07 2001
@@ -163,9 +163,9 @@
        */
       if (IsServer(cptr))
         {
-          sendto_realops("SERVER command from remote user %s -- %s is a hacked server",
-                          get_client_name(sptr,HIDE_IP),
-                          get_client_name(cptr,HIDE_IP));
+          sendto_ops_flag(UMODE_SERVNOTICE, "SERVER command from remote user %s -- %s is a hacked server",
+				 get_client_name(sptr,HIDE_IP),
+				 get_client_name(cptr,HIDE_IP));
         }
       else
         {
@@ -227,8 +227,8 @@
       if (find_conf_by_name(host, CONF_NOCONNECT_SERVER) == NULL)
         {
 #ifdef WARN_NO_NLINE
-          sendto_realops("Link %s Server %s dropped, no N: line",
-                         get_client_name(cptr, FALSE), host);
+          sendto_ops_flag(UMODE_SERVNOTICE, "Link %s Server %s dropped, no N: line",
+				 get_client_name(cptr, FALSE), host);
 #endif
           return exit_client(cptr, cptr, cptr, "NO N line");
         }
@@ -236,8 +236,8 @@
 
   if (MyConnect(cptr) && (GlobalSetOptions.autoconn == 0))
     {
-      sendto_realops("WARNING AUTOCONN is 0, Closing %s",
-                 get_client_name(cptr, FALSE));
+      sendto_ops_flag(UMODE_SERVNOTICE, "WARNING AUTOCONN is 0, Closing %s",
+			     get_client_name(cptr, FALSE));
       return exit_client(cptr, cptr, cptr, "AUTOCONNS off");
     }
 
@@ -257,8 +257,8 @@
       sendto_one(bcptr,"ERROR :Server %s already exists", host);
       if (bcptr == cptr)
       {
-        sendto_realops("Link %s cancelled, server %s already exists",
-                   get_client_name(bcptr, FALSE), host);
+        sendto_ops_flag(UMODE_SERVNOTICE, "Link %s cancelled, server %s already exists",
+			       get_client_name(bcptr, FALSE), host);
         return exit_client(bcptr, bcptr, &me, "Server Exists");
       }
       /*
@@ -272,8 +272,8 @@
        *  - comstud
        */
       strcpy(nbuf, get_client_name(bcptr, FALSE));
-      sendto_realops("Link %s cancelled, server %s reintroduced by %s",
-                nbuf, host, get_client_name(cptr, FALSE));
+      sendto_ops_flag(UMODE_SERVNOTICE, "Link %s cancelled, server %s reintroduced by %s",
+			     nbuf, host, get_client_name(cptr, FALSE));
       exit_client(bcptr, bcptr, &me, "Server Exists");
     }
 
@@ -293,7 +293,7 @@
        * for a while and servers to send stuff to the wrong place.
        */
       sendto_one(cptr,"ERROR :Nickname %s already exists!", host);
-      sendto_ops("Link %s cancelled: Server/nick collision on %s",
+      sendto_ops_flag(UMODE_SERVNOTICE, "Link %s cancelled: Server/nick collision on %s",
                  /* inpath */ get_client_name(cptr,FALSE), host);
       return exit_client(cptr, cptr, cptr, "Nick as Server");
     }
@@ -319,9 +319,9 @@
       if ((aconf = find_conf_host(cptr->confs, host, CONF_LEAF)) &&
           (!aconf->port || (hop > aconf->port)))
         {
-          sendto_realops("Leaf-only link %s->%s - Closing",
-                     get_client_name(cptr,  FALSE),
-                     aconf->host ? aconf->host : "*");
+          sendto_ops_flag(UMODE_SERVNOTICE, "Leaf-only link %s->%s - Closing",
+				 get_client_name(cptr,  FALSE),
+				 aconf->host ? aconf->host : "*");
           sendto_one(cptr, "ERROR :Leaf-only link, sorry.");
           return exit_client(cptr, cptr, cptr, "Leaf Only");
         }
@@ -329,9 +329,9 @@
       if (!(aconf = find_conf_host(cptr->confs, host, CONF_HUB)) ||
           (aconf->port && (hop > aconf->port)) )
         {
-          sendto_realops("Non-Hub link %s introduced %s(%s).",
-                     get_client_name(cptr,  FALSE), host,
-                     aconf ? (aconf->host ? aconf->host : "*") : "!");
+          sendto_ops_flag(UMODE_SERVNOTICE, "Non-Hub link %s introduced %s(%s).",
+				 get_client_name(cptr,  FALSE), host,
+				 aconf ? (aconf->host ? aconf->host : "*") : "!");
           sendto_one(cptr, "ERROR :%s has no H: line for %s.",
                      get_client_name(cptr,  FALSE), host);
           return exit_client(cptr, cptr, cptr, "Too many servers");
@@ -364,8 +364,8 @@
             continue;
           if (!(aconf = bcptr->serv->nline))
             {
-              sendto_realops("Lost N-line for %s on %s. Closing",
-                         get_client_name(cptr, FALSE), host);
+              sendto_ops_flag(UMODE_SERVNOTICE, "Lost N-line for %s on %s. Closing",
+				     get_client_name(cptr, FALSE), host);
               return exit_client(cptr, cptr, cptr, "Lost N line");
             }
           if (match(my_name_for_link(me.name, aconf), acptr->name))
@@ -376,8 +376,8 @@
                          
         }
       
-      sendto_realops_flag(UMODE_EXTERNAL, "Server %s being introduced by %s",
-			  acptr->name, sptr->name);
+      sendto_ops_flag(UMODE_EXTERNAL, "Server %s being introduced by %s",
+			     acptr->name, sptr->name);
       return 0;
     }
 
@@ -394,8 +394,8 @@
    */
   if (!DoesTS(cptr))
     {
-      sendto_realops("Link %s dropped, non-TS server",
-                 get_client_name(cptr, FALSE));
+      sendto_ops_flag(UMODE_SERVNOTICE, "Link %s dropped, non-TS server",
+			     get_client_name(cptr, FALSE));
       return exit_client(cptr, cptr, cptr, "Non-TS server");
     }
 
@@ -411,7 +411,7 @@
     return server_estab(cptr);
 
   ++ServerStats->is_ref;
-  sendto_ops("Received unauthorized connection from %s.",
+  sendto_ops_flag(UMODE_SERVNOTICE, "Received unauthorized connection from %s.",
               get_client_host(cptr));
   return exit_client(cptr, cptr, cptr, "No C/N conf lines");
 }
